package com.cmvr.vi.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cmvr.vi.model.domain.ViCorpus;
import com.cmvr.vi.model.vo.ViContinuousCorpusVO;
import com.cmvr.vi.model.vo.ViCorpusVO;

import java.util.List;

/**
 * 语料库Service接口
 *
 * @author cmvr-iot
 */
public interface IViCorpusService extends IService<ViCorpus> {
    /**
     * 查询语料库
     *
     * @param corpusId 语料库主键
     * @return 语料库
     */
    public ViCorpus selectViCorpusByCorpusId(Long corpusId);

    /**
     * 查询语料库列表
     *
     * @param viCorpusVO 语料库
     * @return 语料库集合
     */
    public List<ViCorpus> selectViCorpusList(ViCorpusVO viCorpusVO);

    /**
     * 查询连续对话列表
     *
     * @param viCorpusVO 语料库
     * @return 语料库集合
     */
    public List<ViContinuousCorpusVO> selectContinuousList(ViCorpusVO viCorpusVO);

    /**
     * 新增语料库
     *
     * @param viCorpus 语料库
     * @return 结果
     */
    public int insertViCorpus(ViCorpus viCorpus);

    /**
     * 批量新增语料库
     *
     * @param viCorpus 语料库
     * @return 结果
     */
    public boolean insertBatch(List<ViCorpus> viCorpus);

    /**
     * 修改语料库
     *
     * @param viCorpus 语料库
     * @return 结果
     */
    public int updateViCorpus(ViCorpus viCorpus);

    /**
     * 批量删除语料库
     *
     * @param corpusIds 需要删除的语料库主键集合
     * @return 结果
     */
    public int deleteViCorpusByCorpusIds(Long[] corpusIds);

    /**
     * 批量新增/修改语料库
     */
    int insertOrUpdateBatch(List<ViCorpus> data);

    /**
     * 新增连续对话
     */
    boolean insertContinuousViCorpus(ViContinuousCorpusVO viContinuousCorpusVO);

    /**
     * 修改连续对话
     */
    int updateContinuousViCorpus(ViContinuousCorpusVO viContinuousCorpusVO);

    int deleteViCorpusByParentIds(String[] parentIds);


    /**
     * 根据parentId eq查询
     */
    public ViCorpus queryCorpusByParentId(String parentId);

    /**
     * 根据parentId in查询
     */
    public List<ViCorpus> queryCorpusInParentIds(List<String> parentIds);
}
